| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csImageManipulate Member List

This is the complete list of members for csImageManipulate, including all inherited members.

Blur(iImage *source, csRGBpixel *transp=0) | csImageManipulate | `[static]`
Crop(iImage *source, int x, int y, int width, int height) | csImageManipulate | `[static]`
Mipmap(iImage *source, int step, csRGBpixel *transp=0) | csImageManipulate | `[static]`
Rescale(iImage *source, int NewWidth, int NewHeight, int NewDepth=1) | csImageManipulate | `[static]`
Sharpen(iImage *source, int strength, csRGBpixel *transp=0) | csImageManipulate | `[static]`